import{quat}from"../index.js";import{expectVecEqual}from"./test-utils.js";const PI_OVER_3=Math.PI/3;const COS_PI_OVER_6=Math.sqrt(3)/2;const SIN_PI_OVER_6=0.5;const SIN_PI_OVER_2=1/Math.sqrt(2);const ONE_OVER_SQRT3=1/Math.sqrt(3);describe("quat",()=>{test("create()",()=>{expectVecEqual(quat.create(),[0,0,0,1])});test("fromAxisAngle(v, a)",()=>{expectVecEqual(quat.fromAxisAngle([3,5,7],PI_OVER_3),[3*SIN_PI_OVER_6,5*SIN_PI_OVER_6,7*SIN_PI_OVER_6,COS_PI_OVER_6])});test("fromAngleX(a)",()=>{expectVecEqual(quat.fromAngleX(PI_OVER_3),[SIN_PI_OVER_6,0,0,COS_PI_OVER_6])});test("fromAngleY(a)",()=>{expectVecEqual(quat.fromAngleY(PI_OVER_3),[0,SIN_PI_OVER_6,0,COS_PI_OVER_6])});test("fromAngleZ(a)",()=>{expectVecEqual(quat.fromAngleZ(PI_OVER_3),[0,0,SIN_PI_OVER_6,COS_PI_OVER_6])});test("fromUnitVecs(v1, v2)",()=>{expectVecEqual(quat.fromUnitVecs([0,0,1],[1,0,0]),[0,SIN_PI_OVER_2,0,SIN_PI_OVER_2]);expectVecEqual(quat.fromUnitVecs([0,0,1],[0,0,-1]),[0,1,0,0]);expectVecEqual(quat.fromUnitVecs([1,0,0],[1,0,0]),[0,0,0,1])});test("toMat4(q)",()=>{expectVecEqual(quat.toMat4([ONE_OVER_SQRT3,ONE_OVER_SQRT3,ONE_OVER_SQRT3,0]),[-1/3,2/3,2/3,0,2/3,-1/3,2/3,0,2/3,2/3,-1/3,0,0,0,0,1])});test("conj(q)",()=>{expectVecEqual(quat.conj([2,3,5,7]),[-2,-3,-5,7])});test("invert(q)",()=>{expectVecEqual(quat.invert([2,5,14,8]),[-2/289,-5/289,-14/289,8/289])});test("mul(q1, q2)",()=>{expectVecEqual(quat.mul([2,3,5,-7],[11,13,-17,19]),[-155,55,207,-109])});test("rotateVec3(q, v)",()=>{expectVecEqual(quat.rotateVec3([0,SIN_PI_OVER_2,0,SIN_PI_OVER_2],[1,1,1]),[1,1,-1])});test("lerp(q1, q2)",()=>{expectVecEqual(quat.lerp([SIN_PI_OVER_2,0,0,SIN_PI_OVER_2],[SIN_PI_OVER_2,0,0,-SIN_PI_OVER_2],0.5),[1,0,0,0])});test("slerp(q1, q2)",()=>{expectVecEqual(quat.slerp([SIN_PI_OVER_2,0,0,SIN_PI_OVER_2],[SIN_PI_OVER_2,0,0,-SIN_PI_OVER_2],0.5),[1,0,0,0]);expectVecEqual(quat.slerp([SIN_PI_OVER_6,0,0,COS_PI_OVER_6],[-COS_PI_OVER_6,0,0,-SIN_PI_OVER_6],0.5),[SIN_PI_OVER_2,0,0,SIN_PI_OVER_2])})});
//# sourceMappingURL=quat.spec.js.map